For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
User must have authorization role with PROVIDER_ADMIN suffix.
Infrastructure Provider updating the Site must be the owner of the Site. At present, there are no other Site-specific configurations modifiable by Tenant.
Providers can set capabilities.dpsPowerManagement to control whether the Site accepts power profiles and resource groups. Omission or null preserves the current value; the default is false.
Authentication
AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
orgstringRequired
Name of the Org
siteIdstringRequiredformat: "uuid"
ID of the Site
Request
This endpoint expects an object.
namestring or nullOptional
Update name of the Site. Can only be updated by Provider
descriptionstring or nullOptional
Update description for the Site. Can only be updated by Provider
renewRegistrationTokenbooleanOptional
Set to true to issue a new registration token. Can only be updated by Provider
serialConsoleHostnamestring or nullOptionalformat: "hostname"
Hostname to reach Serial Console for the Site. Can only be updated by Provider
locationobjectOptional
Updated Site location information
contactobjectOptional
Updated Site contact information
capabilitiesobjectOptional
Modify Site capabilities. Can only be updated by Provider. Partial update allowed, only specify capabilities that should be updated.
isSerialConsoleEnabledbooleanOptionalDeprecated
Enable/disable Serial Console. Can only be updated by Provider. Modifying this attribute has no actual effect on SOL. It will be removed in a future API version.
serialConsoleIdleTimeoutintegerOptionalDeprecated
Maximum idle time in seconds before Serial Console is disconnected. Can only be updated by Provider. Modifying this attribute has no actual effect on SOL. It will be removed in a future API version.
Maximum length of Serial Console session in seconds. Can only be updated by Provider. Modifying this attribute has no actual effect on SOL. It will be removed in a future API version.
Enable/disable Serial Console access using SSH Keys. Previously updateable only by Tenants, modifying this value is no longer supported, update SSH Key Groups to remove Site instead.
Response
OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the Site in NICo Cloud
namestringOptional2-256 characters
Name of the Site
descriptionstring or nullOptional
Optional description for the Site
orgstringOptional
NGC organization ID of the Infrastructure Provider that owns the Site
ID of the Infrastructure Provider that owns the Site
siteControllerVersionstring or nullOptional
Version of the Site Controller software
siteAgentVersionstring or nullOptional
Version of the Site Agent software
registrationTokenstring or nullOptional
Token that can be used to register a Site. Value only exposed to Provider
registrationTokenExpirationdatetime or nullOptionalRead-only
Date/time when registration token expires. Value only exposed to Provider
serialConsoleHostnamestring or nullOptionalformat: "hostname"
Serial console hostname of the site controller
isSerialConsoleEnabledbooleanOptional
Indicates if Serial Console is enabled for the Site by the Provider
serialConsoleIdleTimeoutinteger or nullOptional
Maximum idle time in seconds before Serial Console is disconnected
serialConsoleMaxSessionLengthinteger or nullOptional
Maximum length of Serial Console session in seconds
isSerialConsoleSSHKeysEnabledbooleanOptional
Only visible to Tenant retrieving the Site. Indicates if Serial Console access using SSH Keys is enabled by Tenant
isOnlinebooleanOptional
Indicates if the Site is currently reachable from Cloud
statusenumOptional
Status of the Site
Allowed values:
statusHistorylist of objectsOptional
Chronological status history for the Site
createddatetimeOptional
Date/time when the Site was created
updateddatetimeOptional
Date/time when the Site was last updated
locationobject or nullOptional
Site location information. Null when unset
contactobject or nullOptional
Site contact information. Null when unset
capabilitiesobjectOptional
Site capabilities used for feature availability and configuration
machineStatsobject or nullOptional
Machine counts by status for the Site. Populated on Site list requests when includeMachineStats is true; null otherwise. Sites with no Machines or Allocations return zeroed statistics when requested
gpuStatslist of objects or nullOptional
GPU counts grouped by GPU type for the Site. Populated on Site list requests when includeGpuStats is true; null otherwise. Sites without GPUs return an empty array when requested